#
# spec file for package pkg-config
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           pkg-config
Version:        0.29.2
Release:        1.436
Summary:        A library management system
License:        GPL-2.0+
Group:          System/Packages
Url:            http://pkgconfig.freedesktop.org/
Source:         http://pkgconfig.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Old name for version <= 0.17 and SuSE Linux <= 10.2 & CODE10
# Mandriva 2009 and Fedora 11 still use old name "pkgconfig"
Provides:       pkgconfig = %{version}
Obsoletes:      pkgconfig < 0.21
# pkg-config has a virtual internal pkg-config.pc file, so we should provide it
Provides:       pkgconfig(pkg-config) = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The pkg-config program is used to retrieve information about installed
libraries in the system. It is typically used to compile and link
against one or more libraries.

%prep
%setup -q

%build
%configure\
    --with-internal-glib \
%if "%{_lib}" == "lib"
    --with-pc_path=/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:%{_libdir}/pkgconfig:%{_datadir}/pkgconfig:/opt/kde3/%{_lib}/pkgconfig
%else
    --with-pc_path=/usr/local/%{_lib}/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:%{_libdir}/pkgconfig:%{_datadir}/pkgconfig:/opt/kde3/%{_lib}/pkgconfig
%endif
make %{?_smp_mflags}

%install
%make_install
# We'll put it with the other docs
rm %{buildroot}%{_datadir}/doc/pkg-config/pkg-config-guide.html

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README ChangeLog pkg-config-guide.html
%{_bindir}/pkg-config
%ifarch s390 s390x
%{_bindir}/*-ibm-linux-gnu*-pkg-config
%else
%{_bindir}/*-suse-linux-gnu*-pkg-config
%endif
%dir %{_datadir}/aclocal
%{_datadir}/aclocal/pkg.m4
%doc %{_mandir}/man1/pkg-config.*

%changelog
